--- old/usr/src/cmd/sgs/libld/common/args.c	Sun Jul 30 04:56:38 2017
+++ new/usr/src/cmd/sgs/libld/common/args.c	Sun Jul 30 04:56:38 2017
@@ -27,6 +27,7 @@
  */
 /*
  * Copyright (c) 2012, Joyent, Inc.  All rights reserved.
+ * Copyright 2017 RackTop Systems.
  */
 
 /*
@@ -1237,6 +1238,14 @@
 			DBG_CALL(Dbg_args_option(ofl->ofl_lml, ndx, c, optarg));
 
 			/*
+			 * Skip comma that might be present between -z and its
+			 * argument (e.g. if -Wl,-z,assert-deflib was passed).
+			 */
+			if (strncmp(optarg, MSG_ORIG(MSG_STR_COMMA),
+			     MSG_STR_COMMA_SIZE) == 0)
+				optarg++;
+
+			/*
 			 * For specific help, print our usage message and exit
 			 * immediately to ensure a 0 return code.
 			 */
